Bug 226596

Summary: Plasma crashes after Kopete is closed or crashes [QString, invalid KIconEffect::fingerprint, KIconLoader::loadIcon, ...]
Product: kdelibs Reporter: Jon Skanes <jon>
Component: kdeuiAssignee: kdelibs bugs <kdelibs-bugs>
Status: RESOLVED DUPLICATE    
Severity: crash CC: aku.pietikainen, alpha_one_x86, andreiamenta, andresbajotierra, arthur.shagall, asraniel, avg, baz, bedwyr44, brian.bertrand, carlo.1973, cfeck, chris-hartmann, eba, eljefedelito, erakionv43, getaceres, hkariti, johnsc301, josan_pansa, kde, kdelibs-bugs, kilem86, kukepoiss_85, lamarque, leh, leonardo.la.malfa, linuxhippy, lothar, loxx, matthieu_gallien, maxmin88, mgiammarco, mitja.jez, p92, perfecttrc, phissica, post, robby.engelmann, ruchir.brahmbhatt, savsem, sdelfranco, spearhead2k3, subcoolent, s_aldinger, thomasdn, tim, verbalshadow, volodya, w.richert, wonko, yukaylaw
Priority: NOR    
Version: unspecified   
Target Milestone: ---   
Platform: Ubuntu Packages   
OS: Linux   
Latest Commit: Version Fixed In:
Attachments: New crash information added by DrKonqi
New crash information added by DrKonqi
New crash information added by DrKonqi
New crash information added by DrKonqi
New crash information added by DrKonqi
New crash information added by DrKonqi
New crash information added by DrKonqi
New crash information added by DrKonqi
New crash information added by DrKonqi
New crash information added by DrKonqi
New crash information added by DrKonqi
New crash information added by DrKonqi
New crash information added by DrKonqi
New crash information added by DrKonqi
New crash information added by DrKonqi

Description Jon Skanes 2010-02-12 21:46:38 UTC
Application: plasma-desktop (0.3)
KDE Platform Version: 4.4.00 (KDE 4.4.0)
Qt Version: 4.6.1
Operating System: Linux 2.6.31-19-generic-pae i686
Distribution: Ubuntu 9.10

-- Information about the crash:
Kopete crashed during account negotiation.  For some reason drkonqi could not be run.  Plasma Workspace crashed.

 -- Backtrace:
Application: Plasma Workspace (kdeinit4), signal: Segmentation fault
[Current thread is 1 (Thread 0xb54f3980 (LWP 9878))]

Thread 2 (Thread 0xa7b46b70 (LWP 9879)):
#0  0xb5996e06 in *__GI_clock_gettime (clock_id=-1248219148, tp=0xa7b45f68) at ../sysdeps/unix/clock_gettime.c:100
#1  0xb6c57a0b in qt_gettime () at kernel/qcore_unix.cpp:109
#2  0xb6c5caf5 in QTimerInfoList::updateCurrentTime (this=0x8f6edc4) at kernel/qeventdispatcher_unix.cpp:340
#3  0xb6c5cb3a in QTimerInfoList::timerWait (this=0x8f6edc4, tm=...) at kernel/qeventdispatcher_unix.cpp:443
#4  0xb6c5ab28 in timerSourcePrepareHelper (src=<value optimized out>, timeout=0xa7b4607c) at kernel/qeventdispatcher_glib.cpp:136
#5  0xb6c5abb5 in timerSourcePrepare (source=0x0, timeout=0xb599aff4) at kernel/qeventdispatcher_glib.cpp:169
#6  0xb5916f90 in g_main_context_prepare () from /lib/libglib-2.0.so.0
#7  0xb5917351 in ?? () from /lib/libglib-2.0.so.0
#8  0xb5917863 in g_main_context_iteration () from /lib/libglib-2.0.so.0
#9  0xb6c5a91f in QEventDispatcherGlib::processEvents (this=0x90fb318, flags=...) at kernel/qeventdispatcher_glib.cpp:414
#10 0xb6c2d319 in QEventLoop::processEvents (this=0xa7b46240, flags=) at kernel/qeventloop.cpp:149
#11 0xb6c2d76a in QEventLoop::exec (this=0xa7b46240, flags=...) at kernel/qeventloop.cpp:201
#12 0xb6b295a8 in QThread::exec (this=0x8bd5728) at thread/qthread.cpp:487
#13 0xb6c0cfbb in QInotifyFileSystemWatcherEngine::run (this=0x8bd5728) at io/qfilesystemwatcher_inotify.cpp:248
#14 0xb6b2c32e in QThreadPrivate::start (arg=0x8bd5728) at thread/qthread_unix.cpp:248
#15 0xb6ab280e in start_thread (arg=0xa7b46b70) at pthread_create.c:300
#16 0xb5ec88de in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:130

Thread 1 (Thread 0xb54f3980 (LWP 9878)):
[KCrash Handler]
#6  0xb6edb386 in QString (this=0x13, group=0, state=0) at /usr/include/qt4/QtCore/qstring.h:723
#7  KIconEffect::fingerprint (this=0x13, group=0, state=0) at ../../kdeui/icons/kiconeffect.cpp:158
#8  0xb6ee8844 in KIconLoader::loadIcon (this=0x9b00e30, _name=..., group=KIconLoader::Desktop, size=24, state=0, overlays=..., path_store=0x0, canReturnNull=false)
    at ../../kdeui/icons/kiconloader.cpp:1085
#9  0xb6edfcd8 in KIconEngine::actualSize (this=0x9b6d5a8, size=..., mode=QIcon::Normal, state=QIcon::Off) at ../../kdeui/icons/kiconengine.cpp:80
#10 0xb622a7f6 in QIcon::actualSize (this=0x9985be4, size=..., mode=QIcon::Normal, state=QIcon::Off) at image/qicon.cpp:700
#11 0xb52da9a3 in Plasma::IconWidgetPrivate::decoration (this=0x9985b68, option=0x8c0bec8, useHoverEffect=false, usePressedEffect=false) at ../../plasma/widgets/iconwidget.cpp:701
#12 0xb52dc5d7 in Plasma::IconWidget::paint (this=0x9737808, painter=0xbfb02aec, option=0x8c0bec8, widget=0x0) at ../../plasma/widgets/iconwidget.cpp:1013
#13 0xb67fd39c in _q_paintItem (item=<value optimized out>, painter=<value optimized out>, option=0x8c0bec8, widget=0x0, useWindowOpacity=false, painterStateProtection=true)
    at graphicsview/qgraphicsscene.cpp:4218
#14 0xb680024a in _q_paintIntoCache (pix=<value optimized out>, item=<value optimized out>, pixmapExposed=..., itemToPixmap=..., renderHints=..., option=0x8c0bec8, 
    painterStateProtection=<value optimized out>) at graphicsview/qgraphicsscene.cpp:4256
#15 0xb68198b0 in QGraphicsScenePrivate::drawItemHelper (this=0x8c0bd68, item=0x9737810, painter=0xbfb04654, option=0x8c0bec8, widget=0x959e9c0, painterStateProtection=true)
    at graphicsview/qgraphicsscene.cpp:4549
#16 0xb681a471 in QGraphicsScenePrivate::draw (this=0x8c0bd68, item=0x9737810, painter=0xbfb04654, viewTransform=0xbfb0448c, transformPtr=0xbfb034a8, exposedRegion=0x973a82c, widget=0x959e9c0, 
    opacity=1, effectTransform=0x0, wasDirtyParentSceneTransform=false, drawItem=true) at graphicsview/qgraphicsscene.cpp:4767
#17 0xb681ae43 in QGraphicsScenePrivate::drawSubtreeRecursive (this=0x8c0bd68, item=0x9737810, painter=0xbfb04654, viewTransform=0xbfb0448c, exposedRegion=0x973a82c, widget=0x959e9c0, 
    parentOpacity=1, effectTransform=0x0) at graphicsview/qgraphicsscene.cpp:4700
#18 0xb681a4fc in QGraphicsScenePrivate::draw (this=0x8c0bd68, item=0x903cea8, painter=0xbfb04654, viewTransform=0xbfb0448c, transformPtr=0xbfb038f8, exposedRegion=0x973a82c, widget=0x959e9c0, 
    opacity=1, effectTransform=0x0, wasDirtyParentSceneTransform=false, drawItem=true) at graphicsview/qgraphicsscene.cpp:4781
#19 0xb681ae43 in QGraphicsScenePrivate::drawSubtreeRecursive (this=0x8c0bd68, item=0x903cea8, painter=0xbfb04654, viewTransform=0xbfb0448c, exposedRegion=0x973a82c, widget=0x959e9c0, 
    parentOpacity=1, effectTransform=0x0) at graphicsview/qgraphicsscene.cpp:4700
#20 0xb681a4fc in QGraphicsScenePrivate::draw (this=0x8c0bd68, item=0x903b7c8, painter=0xbfb04654, viewTransform=0xbfb0448c, transformPtr=0xbfb03d48, exposedRegion=0x973a82c, widget=0x959e9c0, 
    opacity=1, effectTransform=0x0, wasDirtyParentSceneTransform=false, drawItem=true) at graphicsview/qgraphicsscene.cpp:4781
#21 0xb681ae43 in QGraphicsScenePrivate::drawSubtreeRecursive (this=0x8c0bd68, item=0x903b7c8, painter=0xbfb04654, viewTransform=0xbfb0448c, exposedRegion=0x973a82c, widget=0x959e9c0, 
    parentOpacity=1, effectTransform=0x0) at graphicsview/qgraphicsscene.cpp:4700
#22 0xb681a4fc in QGraphicsScenePrivate::draw (this=0x8c0bd68, item=0x8e81010, painter=0xbfb04654, viewTransform=0xbfb0448c, transformPtr=0xbfb04198, exposedRegion=0x973a82c, widget=0x959e9c0, 
    opacity=1, effectTransform=0x0, wasDirtyParentSceneTransform=false, drawItem=true) at graphicsview/qgraphicsscene.cpp:4781
#23 0xb681ae43 in QGraphicsScenePrivate::drawSubtreeRecursive (this=0x8c0bd68, item=0x8e81010, painter=0xbfb04654, viewTransform=0xbfb0448c, exposedRegion=0x973a82c, widget=0x959e9c0, 
    parentOpacity=1, effectTransform=0x0) at graphicsview/qgraphicsscene.cpp:4700
#24 0xb681b556 in QGraphicsScenePrivate::drawItems (this=0x8c0bd68, painter=0xbfb04654, viewTransform=0xbfb0448c, exposedRegion=0x973a82c, widget=0x959e9c0) at graphicsview/qgraphicsscene.cpp:4593
#25 0xb683597b in QGraphicsView::paintEvent (this=0x9483490, event=0xbfb04d74) at graphicsview/qgraphicsview.cpp:3394
#26 0xb38cfd99 in PanelView::paintEvent (this=0x9483490, event=0xbfb04d74) at ../../../../plasma/desktop/shell/panelview.cpp:1310
#27 0xb61c7466 in QWidget::event (this=0x9483490, event=0xbfb04d74) at kernel/qwidget.cpp:8124
#28 0xb65c2b23 in QFrame::event (this=0x9483490, e=0xbfb04d74) at widgets/qframe.cpp:557
#29 0xb665cda2 in QAbstractScrollArea::viewportEvent (this=0x0, e=0x13) at widgets/qabstractscrollarea.cpp:1036
#30 0xb6831dfb in QGraphicsView::viewportEvent (this=0x9483490, event=0xbfb04d74) at graphicsview/qgraphicsview.cpp:2788
#31 0xb665f695 in QAbstractScrollAreaPrivate::viewportEvent (this=0x91e51c0, o=0x959e9c0, e=0xbfb04d74) at widgets/qabstractscrollarea_p.h:100
#32 QAbstractScrollAreaFilter::eventFilter (this=0x91e51c0, o=0x959e9c0, e=0xbfb04d74) at widgets/qabstractscrollarea_p.h:116
#33 0xb6c2df9a in QCoreApplicationPrivate::sendThroughObjectEventFilters (this=0x8b9a2b0, receiver=0x959e9c0, event=0xbfb04d74) at kernel/qcoreapplication.cpp:819
#34 0xb6169259 in QApplicationPrivate::notify_helper (this=0x8b9a2b0, receiver=0x959e9c0, e=0xbfb04d74) at kernel/qapplication.cpp:4294
#35 0xb616ff79 in QApplication::notify (this=0x8b945b8, receiver=0x959e9c0, e=0xbfb04d74) at kernel/qapplication.cpp:4263
#36 0xb6f251fa in KApplication::notify (this=0x8b945b8, receiver=0x959e9c0, event=0xbfb04d74) at ../../kdeui/kernel/kapplication.cpp:302
#37 0xb6c2ecfb in QCoreApplication::notifyInternal (this=0x8b945b8, receiver=0x959e9c0, event=0xbfb04d74) at kernel/qcoreapplication.cpp:704
#38 0xb61d0666 in QCoreApplication::sendSpontaneousEvent (this=0x933eff8, pdev=0x967694c, rgn=..., offset=..., flags=<value optimized out>, sharedPainter=0x0, backingStore=0x90826e0)
    at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:218
#39 QWidgetPrivate::drawWidget (this=0x933eff8, pdev=0x967694c, rgn=..., offset=..., flags=<value optimized out>, sharedPainter=0x0, backingStore=0x90826e0) at kernel/qwidget.cpp:5321
#40 0xb61d14a5 in QWidgetPrivate::paintSiblingsRecursive (this=0x973a4c8, pdev=0x967694c, siblings=..., index=3, rgn=..., offset=..., flags=4, sharedPainter=0x0, backingStore=0x90826e0)
    at kernel/qwidget.cpp:5434
#41 0xb61d12de in QWidgetPrivate::paintSiblingsRecursive (this=0x973a4c8, pdev=0x967694c, siblings=..., index=4, rgn=..., offset=..., flags=4, sharedPainter=0x0, backingStore=0x90826e0)
    at kernel/qwidget.cpp:5421
#42 0xb61d12de in QWidgetPrivate::paintSiblingsRecursive (this=0x973a4c8, pdev=0x967694c, siblings=..., index=5, rgn=..., offset=..., flags=4, sharedPainter=0x0, backingStore=0x90826e0)
    at kernel/qwidget.cpp:5421
#43 0xb61d12de in QWidgetPrivate::paintSiblingsRecursive (this=0x973a4c8, pdev=0x967694c, siblings=..., index=6, rgn=..., offset=..., flags=4, sharedPainter=0x0, backingStore=0x90826e0)
    at kernel/qwidget.cpp:5421
#44 0xb61d03b5 in QWidgetPrivate::drawWidget (this=0x973a4c8, pdev=0x967694c, rgn=..., offset=..., flags=<value optimized out>, sharedPainter=0x0, backingStore=0x90826e0) at kernel/qwidget.cpp:5370
#45 0xb63a6490 in QWidgetBackingStore::sync (this=0x90826e0) at painting/qbackingstore.cpp:1291
#46 0xb61c0973 in QWidgetPrivate::syncBackingStore (this=0x973a4c8) at kernel/qwidget.cpp:1663
#47 0xb61c7c26 in QWidget::event (this=0x9483490, event=0x9b28b10) at kernel/qwidget.cpp:8271
#48 0xb65c2b23 in QFrame::event (this=0x9483490, e=0x9b28b10) at widgets/qframe.cpp:557
#49 0xb665d7b7 in QAbstractScrollArea::event (this=0x9483490, e=0x9b28b10) at widgets/qabstractscrollarea.cpp:989
#50 0xb6833fa6 in QGraphicsView::event (this=0x9483490, event=0x9b28b10) at graphicsview/qgraphicsview.cpp:2666
#51 0xb38d0583 in PanelView::event (this=0x9483490, event=0x9b28b10) at ../../../../plasma/desktop/shell/panelview.cpp:1324
#52 0xb616927c in QApplicationPrivate::notify_helper (this=0x8b9a2b0, receiver=0x9483490, e=0x9b28b10) at kernel/qapplication.cpp:4298
#53 0xb616ff79 in QApplication::notify (this=0x8b945b8, receiver=0x9483490, e=0x9b28b10) at kernel/qapplication.cpp:4263
#54 0xb6f251fa in KApplication::notify (this=0x8b945b8, receiver=0x9483490, event=0x9b28b10) at ../../kdeui/kernel/kapplication.cpp:302
#55 0xb6c2ecfb in QCoreApplication::notifyInternal (this=0x8b945b8, receiver=0x9483490, event=0x9b28b10) at kernel/qcoreapplication.cpp:704
#56 0xb6c31733 in QCoreApplication::sendEvent (receiver=0x9483490, event_type=77, data=0x8b4a658) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:215
#57 QCoreApplicationPrivate::sendPostedEvents (receiver=0x9483490, event_type=77, data=0x8b4a658) at kernel/qcoreapplication.cpp:1345
#58 0xb6c3189d in QCoreApplication::sendPostedEvents (receiver=0x9483490, event_type=77) at kernel/qcoreapplication.cpp:1238
#59 0xb68175b6 in QGraphicsViewPrivate::dispatchPendingUpdateRequests (this=0x8c0bd68) at ../../include/QtGui/private/../../../src/gui/graphicsview/qgraphicsview_p.h:184
#60 QGraphicsScenePrivate::_q_processDirtyItems (this=0x8c0bd68) at graphicsview/qgraphicsscene.cpp:490
#61 0xb6817b06 in QGraphicsScene::qt_metacall (this=0x8c94608, _c=QMetaObject::InvokeMetaMethod, _id=14, _a=0x9c3ce88) at .moc/release-shared/moc_qgraphicsscene.cpp:130
#62 0xb521990a in Plasma::Corona::qt_metacall (this=0x8c94608, _c=QMetaObject::InvokeMetaMethod, _id=18, _a=0x9c3ce88) at ./corona.moc:107
#63 0xb38c01ad in DesktopCorona::qt_metacall (this=0x8c94608, _c=QMetaObject::InvokeMetaMethod, _id=18, _a=0x9c3ce88) at ./desktopcorona.moc:86
#64 0xb6c33f6a in QMetaObject::metacall (object=0x8c94608, cl=QMetaObject::InvokeMetaMethod, idx=18, argv=0x9c3ce88) at kernel/qmetaobject.cpp:237
#65 0xb6c3e626 in QMetaCallEvent::placeMetaCall (this=0x999a398, object=0x8c94608) at kernel/qobject.cpp:561
#66 0xb6c3f74e in QObject::event (this=0x8c94608, e=0x999a398) at kernel/qobject.cpp:1248
#67 0xb68137e4 in QGraphicsScene::event (this=0x8c94608, event=0x999a398) at graphicsview/qgraphicsscene.cpp:3475
#68 0xb616927c in QApplicationPrivate::notify_helper (this=0x8b9a2b0, receiver=0x8c94608, e=0x999a398) at kernel/qapplication.cpp:4298
#69 0xb616fede in QApplication::notify (this=0x8b945b8, receiver=0x8c94608, e=0x999a398) at kernel/qapplication.cpp:3702
#70 0xb6f251fa in KApplication::notify (this=0x8b945b8, receiver=0x8c94608, event=0x999a398) at ../../kdeui/kernel/kapplication.cpp:302
#71 0xb6c2ecfb in QCoreApplication::notifyInternal (this=0x8b945b8, receiver=0x8c94608, event=0x999a398) at kernel/qcoreapplication.cpp:704
#72 0xb6c31733 in QCoreApplication::sendEvent (receiver=0x0, event_type=0, data=0x8b4a658) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:215
#73 QCoreApplicationPrivate::sendPostedEvents (receiver=0x0, event_type=0, data=0x8b4a658) at kernel/qcoreapplication.cpp:1345
#74 0xb6c3189d in QCoreApplication::sendPostedEvents (receiver=0x0, event_type=0) at kernel/qcoreapplication.cpp:1238
#75 0xb6c5adef in QCoreApplication::sendPostedEvents (s=0x8b9cab0) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:220
#76 postEventSourceDispatch (s=0x8b9cab0) at kernel/qeventdispatcher_glib.cpp:276
#77 0xb5913e88 in g_main_context_dispatch () from /lib/libglib-2.0.so.0
#78 0xb5917730 in ?? () from /lib/libglib-2.0.so.0
#79 0xb5917863 in g_main_context_iteration () from /lib/libglib-2.0.so.0
#80 0xb6c5a8e5 in QEventDispatcherGlib::processEvents (this=0x8b9a158, flags=...) at kernel/qeventdispatcher_glib.cpp:412
#81 0xb6228485 in QGuiEventDispatcherGlib::processEvents (this=0x8b9a158, flags=...) at kernel/qguieventdispatcher_glib.cpp:204
#82 0xb6c2d319 in QEventLoop::processEvents (this=0xbfb06a54, flags=) at kernel/qeventloop.cpp:149
#83 0xb6c2d76a in QEventLoop::exec (this=0xbfb06a54, flags=...) at kernel/qeventloop.cpp:201
#84 0xb6c3195f in QCoreApplication::exec () at kernel/qcoreapplication.cpp:981
#85 0xb6169317 in QApplication::exec () at kernel/qapplication.cpp:3577
#86 0xb38c817e in kdemain (argc=1, argv=0x8b8b9c8) at ../../../../plasma/desktop/shell/main.cpp:112
#87 0x0804dff7 in launch (argc=<value optimized out>, _name=<value optimized out>, args=<value optimized out>, cwd=0x0, envc=0, envs=0x8b8b9f8 "", reset_env=false, tty=0x0, avoid_loops=false, 
    startup_id_str=0x8051405 "0") at ../../kinit/kinit.cpp:717
#88 0x0804ec15 in handle_launcher_request (sock=<value optimized out>, who=<value optimized out>) at ../../kinit/kinit.cpp:1209
#89 0x0804f08c in handle_requests (waitForPid=<value optimized out>) at ../../kinit/kinit.cpp:1402
#90 0x0804fe2f in main (argc=4, argv=0xbfb07504, envp=0xbfb07518) at ../../kinit/kinit.cpp:1841
The current source language is "auto; currently c".

Reported using DrKonqi
Comment 1 Jon Skanes 2010-02-12 22:04:47 UTC
I can repeat this bug consistently.

I also tried running kopete from a terminal and it still crashed without triggering a bug report, however, it didn't cause plasma to crash.

Is there a wrapper I can use to also get the bug report from kopete?
Comment 2 Dario Andres 2010-02-12 22:23:24 UTC
About the Kopete bug, refer to http://techbase.kde.org/index.php?title=User:DarioAndres/CreateUsefulReports#Retrieving_a_backtrace_with_GDB and create a different bug report about it. Thanks
Comment 3 Jon Skanes 2010-02-14 17:43:59 UTC
The kopete bug i mentioned is a duplicate of the kopete crash during yahoo login.
Comment 4 Jon Skanes 2010-02-14 18:04:43 UTC
There have been a number of Kubuntu package updates since I reported this.  I can no longer reproduce it.
Comment 5 Jonathan Thomas 2010-02-16 05:24:40 UTC
Closing, since this now works for the reporter.
Comment 6 Beat Wolf 2010-03-05 18:11:56 UTC
*** Bug 229461 has been marked as a duplicate of this bug. ***
Comment 7 Beat Wolf 2010-03-05 18:12:13 UTC
*** Bug 229429 has been marked as a duplicate of this bug. ***
Comment 8 Beat Wolf 2010-03-05 18:12:22 UTC
*** Bug 229302 has been marked as a duplicate of this bug. ***
Comment 9 Beat Wolf 2010-03-05 18:14:33 UTC
after multiple reports on kde 4.4.1 i reopen this bug
Comment 10 Beat Wolf 2010-03-05 18:18:08 UTC
*** Bug 228923 has been marked as a duplicate of this bug. ***
Comment 11 Pino Toscano 2010-03-10 18:00:35 UTC
*** Bug 230222 has been marked as a duplicate of this bug. ***
Comment 12 Aaron J. Seigo 2010-03-11 20:03:16 UTC
*** Bug 230313 has been marked as a duplicate of this bug. ***
Comment 13 Dario Andres 2010-03-17 01:56:47 UTC
From bug 231041:
Plasma crashes after Kopete crashes
It happens more often when I leave the computer to sleep or hibernate.
Comment 14 Dario Andres 2010-03-17 01:56:52 UTC
*** Bug 231041 has been marked as a duplicate of this bug. ***
Comment 15 Dario Andres 2010-03-22 02:27:28 UTC
Reassigning to kdelibs as a case on Konqueror appeared...

From bug 230325 (Konqueror):
-- Information about the crash:
I had opened several tabs with PDF's stored on the Computer. I use the Okular
Plugin. So, when I was trying to select TOOLS>RECENSION (in German:
Extras>Rezession), Konqueror crashed.
Comment 16 Dario Andres 2010-03-22 02:27:31 UTC
*** Bug 230325 has been marked as a duplicate of this bug. ***
Comment 17 Dario Andres 2010-03-22 18:50:19 UTC
*** Bug 231810 has been marked as a duplicate of this bug. ***
Comment 18 Dario Andres 2010-03-27 14:22:55 UTC
*** Bug 232279 has been marked as a duplicate of this bug. ***
Comment 19 Willi Richert 2010-03-31 09:25:49 UTC
Created attachment 42396 [details]
New crash information added by DrKonqi

After kopete has launched and started to go online it crashes. Together with it plasma.
Comment 20 Dario Andres 2010-03-31 14:37:51 UTC
*** Bug 232784 has been marked as a duplicate of this bug. ***
Comment 21 Dario Andres 2010-04-15 14:15:21 UTC
*** Bug 234299 has been marked as a duplicate of this bug. ***
Comment 22 loxx 2010-05-05 01:22:53 UTC
Created attachment 43255 [details]
New crash information added by DrKonqi

When I connect to Icq account in Kopete - I try to go to the settings and then Kopete freeze.
Comment 23 Marco Martin 2010-06-12 10:59:03 UTC
*** Bug 241487 has been marked as a duplicate of this bug. ***
Comment 24 Marco Martin 2010-06-12 10:59:20 UTC
*** Bug 239961 has been marked as a duplicate of this bug. ***
Comment 25 Lothar Werzinger 2010-06-15 20:04:55 UTC
Created attachment 48039 [details]
New crash information added by DrKonqi

Closed Kopete and Plasma crashed.
Kubuntu 9.10 LTS
Comment 26 Beat Wolf 2010-06-29 13:36:19 UTC
*** Bug 243148 has been marked as a duplicate of this bug. ***
Comment 27 Nicolas L. 2010-07-20 15:39:12 UTC
*** Bug 245178 has been marked as a duplicate of this bug. ***
Comment 28 Jose 2010-07-23 08:36:24 UTC
Created attachment 49420 [details]
New crash information added by DrKonqi

I started my session but I was away. As I didn't enter my kwallet password quick enough, kopete asked me about my password for all my accounts. I closed kopete to restart it again so it could access kwallet but upon closing it, Plasma crashed.
Comment 29 Jonathan Thomas 2010-07-25 02:34:06 UTC
*** Bug 245607 has been marked as a duplicate of this bug. ***
Comment 30 Jonathan Thomas 2010-07-25 02:34:23 UTC
*** Bug 245601 has been marked as a duplicate of this bug. ***
Comment 31 Ralf Jung 2010-07-29 10:44:20 UTC
The crash assistant failed to add the report to this bug, it said "/Error adding your data to the CC list: Unknown error./" (yes, including the slashes), so I had to manually add it. I'm sorry if the stacktrace was supposed to be attached - I inlined it since it is also inlined in the actual report.


Application: plasma-desktop (0.3)
KDE Platform Version: 4.4.2 (KDE 4.4.2)
Qt Version: 4.6.2
Operating System: Linux 2.6.32-24-generic x86_64
Distribution: Ubuntu 10.04.1 LTS

-- Information about the crash:
I quit Kopete, and then Plasma crashed with attached stacktrace. It looks very similar to the one in this report, so I told the bug assistant to add it here.

 -- Backtrace:
Application: Plasma-Arbeitsfläche (kdeinit4), signal: Segmentation fault
[Current thread is 1 (Thread 0x7fb2557f0760 (LWP 1709))]

Thread 3 (Thread 0x7fb2321f8710 (LWP 1710)):
#0  0x00007fb253a3da2d in __pthread_mutex_unlock_usercnt (mutex=0x2886518) at pthread_mutex_unlock.c:52
#1  __pthread_mutex_unlock (mutex=0x2886518) at pthread_mutex_unlock.c:290
#2  0x00007fb24f1a2ff1 in g_main_context_prepare () from /lib/libglib-2.0.so.0
#3  0x00007fb24f1a3318 in ?? () from /lib/libglib-2.0.so.0
#4  0x00007fb24f1a38fc in g_main_context_iteration () from /lib/libglib-2.0.so.0
#5  0x00007fb253de7566 in QEventDispatcherGlib::processEvents (this=0x2885d50, flags=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:414
#6  0x00007fb253dbc992 in QEventLoop::processEvents (this=<value optimized out>, flags=) at kernel/qeventloop.cpp:149
#7  0x00007fb253dbcd6c in QEventLoop::exec (this=0x7fb2321f7db0, flags=) at kernel/qeventloop.cpp:201
#8  0x00007fb253cc6d59 in QThread::exec (this=<value optimized out>) at thread/qthread.cpp:487
#9  0x00007fb253d9d178 in QInotifyFileSystemWatcherEngine::run (this=0x2885230) at io/qfilesystemwatcher_inotify.cpp:248
#10 0x00007fb253cc9775 in QThreadPrivate::start (arg=0x2885230) at thread/qthread_unix.cpp:248
#11 0x00007fb253a399ca in start_thread (arg=<value optimized out>) at pthread_create.c:300
#12 0x00007fb2527eb6fd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#13 0x0000000000000000 in ?? ()

Thread 2 (Thread 0x7fb229f96710 (LWP 1713)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007fb248e592a6 in QTWTF::TCMalloc_PageHeap::scavengerThread (this=0x7fb249137220) at ../3rdparty/javascriptcore/JavaScriptCore/wtf/FastMalloc.cpp:2304
#2  0x00007fb248e592e9 in QTWTF::TCMalloc_PageHeap::runScavengerThread (context=0x7fb2491452ec) at ../3rdparty/javascriptcore/JavaScriptCore/wtf/FastMalloc.cpp:1438
#3  0x00007fb253a399ca in start_thread (arg=<value optimized out>) at pthread_create.c:300
#4  0x00007fb2527eb6fd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#5  0x0000000000000000 in ?? ()

Thread 1 (Thread 0x7fb2557f0760 (LWP 1709)):
[KCrash Handler]
#5  0x00007fb2542c1027 in QString (this=0x100000027, group=0, state=0) at /usr/include/qt4/QtCore/qstring.h:714
#6  KIconEffect::fingerprint (this=0x100000027, group=0, state=0) at ../../kdeui/icons/kiconeffect.cpp:158
#7  0x00007fb2542ccd98 in KIconLoader::loadIcon (this=0x2c90010, _name=..., group=<value optimized out>, size=22, state=<value optimized out>, overlays=..., path_store=0x0, canReturnNull=false)
    at ../../kdeui/icons/kiconloader.cpp:1085
#8  0x00007fb2542c552c in KIconEngine::actualSize (this=<value optimized out>, size=<value optimized out>, mode=<value optimized out>, state=<value optimized out>)
    at ../../kdeui/icons/kiconengine.cpp:80
#9  0x00007fb25300c26c in QIcon::actualSize (this=<value optimized out>, size=..., mode=QIcon::Normal, state=QIcon::On) at image/qicon.cpp:700
#10 0x00007fb24c871497 in Plasma::IconWidgetPrivate::decoration (this=0x2dc81b0, option=<value optimized out>, useHoverEffect=true, usePressedEffect=false) at ../../plasma/widgets/iconwidget.cpp:701
#11 0x00007fb24c872afc in Plasma::IconWidget::paint (this=0x2cfb380, painter=0x7fffcd317450, option=0x1e34368, widget=<value optimized out>) at ../../plasma/widgets/iconwidget.cpp:1013
#12 0x00007fb25356681a in _q_paintItem (item=<value optimized out>, painter=0x7fffcd317450, option=0x1e34368, widget=0x0, useWindowOpacity=<value optimized out>, 
    painterStateProtection=<value optimized out>) at graphicsview/qgraphicsscene.cpp:4243
#13 0x00007fb253566aac in _q_paintIntoCache (pix=0x7fffcd317ae0, item=<value optimized out>, pixmapExposed=..., itemToPixmap=<value optimized out>, renderHints=)
    at graphicsview/qgraphicsscene.cpp:4281
#14 0x00007fb25357ad33 in QGraphicsScenePrivate::drawItemHelper (this=<value optimized out>, item=0x2cfb390, painter=0x7fffcd319a50, option=0x1e34368, widget=<value optimized out>, 
    painterStateProtection=<value optimized out>) at graphicsview/qgraphicsscene.cpp:4574
#15 0x00007fb25357b625 in QGraphicsScenePrivate::draw (this=<value optimized out>, item=0x2cfb390, painter=0x7fffcd319a50, viewTransform=<value optimized out>, transformPtr=<value optimized out>, 
    exposedRegion=<value optimized out>, widget=0x268ab60, opacity=<value optimized out>, effectTransform=0x0, wasDirtyParentSceneTransform=false, drawItem=true)
    at graphicsview/qgraphicsscene.cpp:4827
#16 0x00007fb25357c272 in QGraphicsScenePrivate::drawSubtreeRecursive (this=<value optimized out>, item=0x2cfb390, painter=0x7fffcd319a50, viewTransform=0x7fffcd319800, exposedRegion=0x2758860, 
    widget=0x268ab60, parentOpacity=<value optimized out>, effectTransform=0x0) at graphicsview/qgraphicsscene.cpp:4749
#17 0x00007fb25357b6c0 in QGraphicsScenePrivate::draw (this=<value optimized out>, item=0x23b77f0, painter=0x7fffcd319a50, viewTransform=<value optimized out>, transformPtr=<value optimized out>, 
    exposedRegion=<value optimized out>, widget=0x268ab60, opacity=<value optimized out>, effectTransform=0x0, wasDirtyParentSceneTransform=false, drawItem=true)
    at graphicsview/qgraphicsscene.cpp:4841
#18 0x00007fb25357c272 in QGraphicsScenePrivate::drawSubtreeRecursive (this=<value optimized out>, item=0x23b77f0, painter=0x7fffcd319a50, viewTransform=0x7fffcd319800, exposedRegion=0x2758860, 
    widget=0x268ab60, parentOpacity=<value optimized out>, effectTransform=0x0) at graphicsview/qgraphicsscene.cpp:4749
#19 0x00007fb25357b6c0 in QGraphicsScenePrivate::draw (this=<value optimized out>, item=0x21e43f0, painter=0x7fffcd319a50, viewTransform=<value optimized out>, transformPtr=<value optimized out>, 
    exposedRegion=<value optimized out>, widget=0x268ab60, opacity=<value optimized out>, effectTransform=0x0, wasDirtyParentSceneTransform=false, drawItem=true)
    at graphicsview/qgraphicsscene.cpp:4841
#20 0x00007fb25357c272 in QGraphicsScenePrivate::drawSubtreeRecursive (this=<value optimized out>, item=0x21e43f0, painter=0x7fffcd319a50, viewTransform=0x7fffcd319800, exposedRegion=0x2758860, 
    widget=0x268ab60, parentOpacity=<value optimized out>, effectTransform=0x0) at graphicsview/qgraphicsscene.cpp:4749
#21 0x00007fb25357b6c0 in QGraphicsScenePrivate::draw (this=<value optimized out>, item=0x21cb2a0, painter=0x7fffcd319a50, viewTransform=<value optimized out>, transformPtr=<value optimized out>, 
    exposedRegion=<value optimized out>, widget=0x268ab60, opacity=<value optimized out>, effectTransform=0x0, wasDirtyParentSceneTransform=false, drawItem=true)
    at graphicsview/qgraphicsscene.cpp:4841
#22 0x00007fb25357c272 in QGraphicsScenePrivate::drawSubtreeRecursive (this=<value optimized out>, item=0x21cb2a0, painter=0x7fffcd319a50, viewTransform=0x7fffcd319800, exposedRegion=0x2758860, 
    widget=0x268ab60, parentOpacity=<value optimized out>, effectTransform=0x0) at graphicsview/qgraphicsscene.cpp:4749
#23 0x00007fb25357cc34 in QGraphicsScenePrivate::drawItems (this=0x1e34110, painter=0x7fffcd319a50, viewTransform=0x7fffcd319800, exposedRegion=0x2758860, widget=0x268ab60)
    at graphicsview/qgraphicsscene.cpp:4619
#24 0x00007fb25359c465 in QGraphicsView::paintEvent (this=0x243a320, event=<value optimized out>) at graphicsview/qgraphicsview.cpp:3393
#25 0x00007fb2493c4b09 in ?? () from /usr/lib/libkdeinit4_plasma-desktop.so
#26 0x00007fb252fb0162 in QWidget::event (this=0x243a320, event=0x7fffcd31a390) at kernel/qwidget.cpp:8144
#27 0x00007fb2533574e6 in QFrame::event (this=0x243a320, e=0x7fffcd31a390) at widgets/qframe.cpp:557
#28 0x00007fb253598f0b in QGraphicsView::viewportEvent (this=0x243a320, event=0x7fffcd31a390) at graphicsview/qgraphicsview.cpp:2787
#29 0x00007fb253dbd487 in QCoreApplicationPrivate::sendThroughObjectEventFilters (this=<value optimized out>, receiver=0x268ab60, event=0x7fffcd31a390) at kernel/qcoreapplication.cpp:819
#30 0x00007fb252f5a1fc in QApplicationPrivate::notify_helper (this=0x1db13a0, receiver=0x268ab60, e=0x7fffcd31a390) at kernel/qapplication.cpp:4296
#31 0x00007fb252f606fb in QApplication::notify (this=0x1d9ae90, receiver=0x268ab60, e=0x7fffcd31a390) at kernel/qapplication.cpp:4183
#32 0x00007fb254305526 in KApplication::notify (this=0x1d9ae90, receiver=0x268ab60, event=0x7fffcd31a390) at ../../kdeui/kernel/kapplication.cpp:302
#33 0x00007fb253dbe06c in QCoreApplication::notifyInternal (this=0x1d9ae90, receiver=0x268ab60, event=0x7fffcd31a390) at kernel/qcoreapplication.cpp:704
#34 0x00007fb252fb87dd in QCoreApplication::sendSpontaneousEvent (this=0x26c1a90, pdev=<value optimized out>, rgn=..., offset=<value optimized out>, flags=<value optimized out>, sharedPainter=0x0, 
    backingStore=0x27432c0) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:218
#35 QWidgetPrivate::drawWidget (this=0x26c1a90, pdev=<value optimized out>, rgn=..., offset=<value optimized out>, flags=<value optimized out>, sharedPainter=0x0, backingStore=0x27432c0)
    at kernel/qwidget.cpp:5339
#36 0x00007fb252fb9478 in QWidgetPrivate::paintSiblingsRecursive (this=<value optimized out>, pdev=<value optimized out>, siblings=..., index=2, rgn=<value optimized out>, 
    offset=<value optimized out>, flags=4, sharedPainter=0x0, backingStore=0x27432c0) at kernel/qwidget.cpp:5452
#37 0x00007fb252fb853a in QWidgetPrivate::drawWidget (this=0x27583a0, pdev=<value optimized out>, rgn=..., offset=<value optimized out>, flags=<value optimized out>, sharedPainter=0x0, 
    backingStore=0x27432c0) at kernel/qwidget.cpp:5388
#38 0x00007fb2531728c5 in QWidgetBackingStore::sync (this=0x27432c0) at painting/qbackingstore.cpp:1291
#39 0x00007fb252fa9b60 in QWidgetPrivate::syncBackingStore (this=0x27583a0) at kernel/qwidget.cpp:1672
#40 0x00007fb252fb0865 in QWidget::event (this=0x243a320, event=0x35e41f0) at kernel/qwidget.cpp:8291
#41 0x00007fb2533574e6 in QFrame::event (this=0x243a320, e=0x35e41f0) at widgets/qframe.cpp:557
#42 0x00007fb2533e28ab in QAbstractScrollArea::event (this=0x243a320, e=0x35e41f0) at widgets/qabstractscrollarea.cpp:989
#43 0x00007fb2493c7590 in ?? () from /usr/lib/libkdeinit4_plasma-desktop.so
#44 0x00007fb252f5a22c in QApplicationPrivate::notify_helper (this=0x1db13a0, receiver=0x243a320, e=0x35e41f0) at kernel/qapplication.cpp:4300
#45 0x00007fb252f606fb in QApplication::notify (this=0x1d9ae90, receiver=0x243a320, e=0x35e41f0) at kernel/qapplication.cpp:4183
#46 0x00007fb254305526 in KApplication::notify (this=0x1d9ae90, receiver=0x243a320, event=0x35e41f0) at ../../kdeui/kernel/kapplication.cpp:302
#47 0x00007fb253dbe06c in QCoreApplication::notifyInternal (this=0x1d9ae90, receiver=0x243a320, event=0x35e41f0) at kernel/qcoreapplication.cpp:704
#48 0x00007fb253dc07e7 in QCoreApplication::sendEvent (receiver=0x243a320, event_type=<value optimized out>, data=0x1d2ec30) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:215
#49 QCoreApplicationPrivate::sendPostedEvents (receiver=0x243a320, event_type=<value optimized out>, data=0x1d2ec30) at kernel/qcoreapplication.cpp:1345
#50 0x00007fb253583b7a in QGraphicsViewPrivate::dispatchPendingUpdateRequests (this=0x1e34110) at ../../include/QtGui/private/../../../src/gui/graphicsview/qgraphicsview_p.h:184
#51 QGraphicsScenePrivate::_q_processDirtyItems (this=0x1e34110) at graphicsview/qgraphicsscene.cpp:509
#52 0x00007fb253584102 in QGraphicsScene::qt_metacall (this=0x1e9b490, _c=QMetaObject::InvokeMetaMethod, _id=<value optimized out>, _a=0x2f2c840) at .moc/release-shared/moc_qgraphicsscene.cpp:130
#53 0x00007fb24c7c1b65 in Plasma::Corona::qt_metacall (this=0x7fffcd316ac0, _c=39, _id=0, _a=0x0) at ./corona.moc:107
#54 0x00007fb2493b6bd3 in ?? () from /usr/lib/libkdeinit4_plasma-desktop.so
#55 0x00007fb253dcdd49 in QObject::event (this=0x1e9b490, e=0x2f1e930) at kernel/qobject.cpp:1248
#56 0x00007fb25357fd80 in QGraphicsScene::event (this=0x1e9b490, event=0x2f1e930) at graphicsview/qgraphicsscene.cpp:3500
#57 0x00007fb252f5a22c in QApplicationPrivate::notify_helper (this=0x1db13a0, receiver=0x1e9b490, e=0x2f1e930) at kernel/qapplication.cpp:4300
#58 0x00007fb252f606fb in QApplication::notify (this=0x1d9ae90, receiver=0x1e9b490, e=0x2f1e930) at kernel/qapplication.cpp:4183
#59 0x00007fb254305526 in KApplication::notify (this=0x1d9ae90, receiver=0x1e9b490, event=0x2f1e930) at ../../kdeui/kernel/kapplication.cpp:302
#60 0x00007fb253dbe06c in QCoreApplication::notifyInternal (this=0x1d9ae90, receiver=0x1e9b490, event=0x2f1e930) at kernel/qcoreapplication.cpp:704
#61 0x00007fb253dc07e7 in QCoreApplication::sendEvent (receiver=0x0, event_type=<value optimized out>, data=0x1d2ec30) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:215
#62 QCoreApplicationPrivate::sendPostedEvents (receiver=0x0, event_type=<value optimized out>, data=0x1d2ec30) at kernel/qcoreapplication.cpp:1345
#63 0x00007fb253de79d3 in QCoreApplication::sendPostedEvents (s=<value optimized out>) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:220
#64 postEventSourceDispatch (s=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:276
#65 0x00007fb24f19f8c2 in g_main_context_dispatch () from /lib/libglib-2.0.so.0
#66 0x00007fb24f1a3748 in ?? () from /lib/libglib-2.0.so.0
#67 0x00007fb24f1a38fc in g_main_context_iteration () from /lib/libglib-2.0.so.0
#68 0x00007fb253de7513 in QEventDispatcherGlib::processEvents (this=0x1d30140, flags=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:412
#69 0x00007fb25300a46e in QGuiEventDispatcherGlib::processEvents (this=0x7fffcd316ac0, flags=<value optimized out>) at kernel/qguieventdispatcher_glib.cpp:204
#70 0x00007fb253dbc992 in QEventLoop::processEvents (this=<value optimized out>, flags=) at kernel/qeventloop.cpp:149
#71 0x00007fb253dbcd6c in QEventLoop::exec (this=0x7fffcd31c480, flags=) at kernel/qeventloop.cpp:201
#72 0x00007fb253dc0aab in QCoreApplication::exec () at kernel/qcoreapplication.cpp:981
#73 0x00007fb2493bdfb2 in kdemain () from /usr/lib/libkdeinit4_plasma-desktop.so
#74 0x00000000004070f3 in launch (argc=1, _name=<value optimized out>, args=<value optimized out>, cwd=<value optimized out>, envc=0, envs=<value optimized out>, reset_env=false, tty=0x0, 
    avoid_loops=false, startup_id_str=0x40a4f9 "0") at ../../kinit/kinit.cpp:717
#75 0x0000000000407cb0 in handle_launcher_request (sock=8, who=<value optimized out>) at ../../kinit/kinit.cpp:1209
#76 0x000000000040823a in handle_requests (waitForPid=0) at ../../kinit/kinit.cpp:1402
#77 0x0000000000408e22 in main (argc=4, argv=<value optimized out>, envp=<value optimized out>) at ../../kinit/kinit.cpp:1845
Comment 32 Carlo Piva 2010-08-14 17:41:33 UTC
Created attachment 50552 [details]
New crash information added by DrKonqi

Was in Kopete, it looked to be connected. Tried to configure the settings. Plasma crashed.
Comment 33 Nicolas L. 2010-08-26 09:14:48 UTC
*** Bug 249071 has been marked as a duplicate of this bug. ***
Comment 34 Beat Wolf 2010-09-01 15:48:42 UTC
*** Bug 247542 has been marked as a duplicate of this bug. ***
Comment 35 Beat Wolf 2010-09-01 15:48:45 UTC
*** Bug 249400 has been marked as a duplicate of this bug. ***
Comment 36 Beat Wolf 2010-09-01 23:25:54 UTC
*** Bug 249783 has been marked as a duplicate of this bug. ***
Comment 37 Clemens Eisserer 2010-09-06 23:27:22 UTC
Just experienced this crash.
Comment 38 Beat Wolf 2010-09-11 20:45:50 UTC
*** Bug 250878 has been marked as a duplicate of this bug. ***
Comment 39 Beat Wolf 2010-09-11 20:45:55 UTC
*** Bug 250917 has been marked as a duplicate of this bug. ***
Comment 40 Beat Wolf 2010-09-14 22:50:40 UTC
*** Bug 251227 has been marked as a duplicate of this bug. ***
Comment 41 Aaron J. Seigo 2010-09-21 16:38:49 UTC
*** Bug 251941 has been marked as a duplicate of this bug. ***
Comment 42 Vladimir Dergachev 2010-10-13 16:42:13 UTC
Created attachment 52489 [details]
New crash information added by DrKonqi

I opened a new Konqueror window, browsed a few links, as I clicked a new one plasma crashed.

The crash is likely not caused by clicking on the link (it should not trace that, right ?), but seems to occur at the same time as background wallpaper was being changed, which seems very resource intensive.
Comment 43 Clemens Eisserer 2010-10-13 16:44:21 UTC
I guess the problem is updating the window title, what happens inside the browser shounldn't affect plasma.
Comment 44 Beat Wolf 2010-10-19 16:21:14 UTC
*** Bug 254590 has been marked as a duplicate of this bug. ***
Comment 45 Clemens Eisserer 2010-10-19 17:09:34 UTC
so instead of fixing all those crashers, what is next in kde-4.6?
A social network filemanager?
Comment 46 Beat Wolf 2010-10-25 18:55:06 UTC
possibly this commit fixed it:
http://websvn.kde.org/?view=revision&revision=1173883
Comment 47 p92 2010-11-02 08:46:11 UTC
Created attachment 53064 [details]
New crash information added by DrKonqi

plasma-desktop (0.3) on KDE Platform 4.5.2 (KDE 4.5.2) using Qt 4.7.0

- What I was doing when the application crashed:
This crash of plasma occured right after I quit amarok by right clicking quit on the amarock tray icon
I use kde 4.5.2 from kubuntu 10.10

- Unusual behavior I noticed:

-- Backtrace (Reduced):
#6  0x00007fe1168108d5 in QString (this=0x2d5005c, group=0, state=0) at /usr/include/qt4/QtCore/qstring.h:727
#7  KIconEffect::fingerprint (this=0x2d5005c, group=0, state=0) at ../../kdeui/icons/kiconeffect.cpp:158
#8  0x00007fe116817904 in KIconLoaderPrivate::makeCacheKey (this=<value optimized out>, name=<value optimized out>, group=KIconLoader::Desktop, overlays=<value optimized out>, size=<value optimized out>, state=0) at ../../kdeui/icons/kiconloader.cpp:777
#9  0x00007fe11681e8e4 in KIconLoader::loadIcon (this=0x446cc30, _name=<value optimized out>, group=KIconLoader::Desktop, size=16, state=0, overlays=..., path_store=0x0, canReturnNull=false) at ../../kdeui/icons/kiconloader.cpp:1225
#10 0x00007fe116815590 in KIconEngine::pixmap (this=<value optimized out>, size=..., mode=<value optimized out>, state=<value optimized out>) at ../../kdeui/icons/kiconengine.cpp:93
Comment 48 Clemens Eisserer 2010-11-03 09:59:54 UTC
So, instead of pushing more and more features into KDE (like OpenGL plasma, or social networking stuff and graphical gimmicks), is there any chance to get crashers like this fixed?
Comment 49 Beat Wolf 2010-11-03 10:08:12 UTC
as i mentioned, the bug is probably fixed in trunk, but we won't be sure before 4.6.
And the people implementing social network stuff and graphical gimmicks are not the same as those that fix crashes like this, so don't worry, those features won't slow down the speed of crash fixes.
Comment 50 Christoph Feck 2010-11-10 00:53:55 UTC
http://websvn.kde.org/?view=revision&revision=1173883 definitely does not fix it.

According to the backtraces, the values for "group" or "state" is not the problem, but the "this" pointer is wrong. I have no idea why KIconLoader's idea of KIconEffect gets corrupted.
Comment 51 Christoph Feck 2010-11-10 22:48:57 UTC
*** Bug 256557 has been marked as a duplicate of this bug. ***
Comment 52 johnsc301 2011-03-07 06:08:24 UTC
Created attachment 57736 [details]
New crash information added by DrKonqi

plasma-desktop (0.4) on KDE Platform 4.6.1 (4.6.1) using Qt 4.7.0

- What I was doing when the application crashed:

I quit kopete. Nothing more bfudsgvbudfsidbuids

-- Backtrace (Reduced):
#6  ref (this=0x2940075, group=0, state=0) at /usr/include/qt4/QtCore/qatomic_x86_64.h:121
#7  QString (this=0x2940075, group=0, state=0) at /usr/include/qt4/QtCore/qstring.h:728
#8  KIconEffect::fingerprint (this=0x2940075, group=0, state=0) at ../../kdeui/icons/kiconeffect.cpp:169
#9  0x00007f63b9f5a4be in KIconLoaderPrivate::makeCacheKey (this=<value optimized out>, name=..., group=KIconLoader::Desktop, overlays=..., size=24, state=0) at ../../kdeui/icons/kiconloader.cpp:782
#10 0x00007f63b9f62544 in KIconLoader::loadIcon (this=0x28c9420, _name=<value optimized out>, group=KIconLoader::Desktop, size=24, state=0, overlays=..., path_store=0x0, canReturnNull=false) at ../../kdeui/icons/kiconloader.cpp:1226
Comment 53 johnsc301 2011-03-13 20:54:37 UTC
Created attachment 57933 [details]
New crash information added by DrKonqi

plasma-desktop (0.4) on KDE Platform 4.6.1 (4.6.1) using Qt 4.7.0

- What I was doing when the application crashed:

I clicked quit while signed in to Kopete. I have the collapse effect on (for closing apps).

-- Backtrace (Reduced):
#6  0x00007f27e29b2a7a in QString (this=0x22c0075, group=0, state=0) at /usr/include/qt4/QtCore/qstring.h:727
#7  KIconEffect::fingerprint (this=0x22c0075, group=0, state=0) at ../../kdeui/icons/kiconeffect.cpp:169
#8  0x00007f27e29b64be in KIconLoaderPrivate::makeCacheKey (this=<value optimized out>, name=..., group=KIconLoader::Desktop, overlays=..., size=24, state=0) at ../../kdeui/icons/kiconloader.cpp:782
#9  0x00007f27e29be544 in KIconLoader::loadIcon (this=0x16a8dd0, _name=<value optimized out>, group=KIconLoader::Desktop, size=24, state=0, overlays=..., path_store=0x0, canReturnNull=false) at ../../kdeui/icons/kiconloader.cpp:1226
#10 0x00007f27e29b5070 in KIconEngine::pixmap (this=<value optimized out>, size=..., mode=<value optimized out>, state=<value optimized out>) at ../../kdeui/icons/kiconengine.cpp:93
Comment 54 Lamarque V. Souza 2011-03-23 02:42:17 UTC
Git commit c956b436f63fa957a866ad049f7dbf14ee708968 by Lamarque V. Souza.
Committed on 23/03/2011 at 02:15.
Pushed by lvsouza into branch 'KDE/4.6'.

References to local variables are not safe to use after function return,
so we have better copy the value instead.

BUG: 226596, 258706, 269118, 268157, 258706, 226596, 268473, 269118, 268597, 268157, 268871, 268436, 268886, 268518, 269147, 267691, 268858, 268180, 268874
FIXED-IN: 4.6.2

M  +2    -1    kdeui/icons/kiconeffect.cpp     

http://commits.kde.org/kdelibs/c956b436f63fa957a866ad049f7dbf14ee708968
Comment 55 Lamarque V. Souza 2011-03-23 02:42:17 UTC
Git commit 364f41b972104b9c1caf7fd81efc202172c363f9 by Lamarque V. Souza.
Committed on 23/03/2011 at 02:12.
Pushed by lvsouza into branch 'master'.

References to local variables are not safe to use after function return,
so we have better copy the value instead.

BUG: 226596, 258706, 269118, 268157, 258706, 226596, 268473, 269118, 268597, 268157, 268871, 268436, 268886, 268518, 269147, 267691, 268858, 268180, 268874
FIXED-IN: 4.6.2

M  +2    -1    kdeui/icons/kiconeffect.cpp     

http://commits.kde.org/kdelibs/364f41b972104b9c1caf7fd81efc202172c363f9
Comment 56 Christoph Feck 2011-03-23 03:26:31 UTC
If that fixes the Plasma crashes I will eat my hat! QString is implicitly shared, so what the commit does is a no-op (and wrong).

The bug is obviously in Plasma::IconWidget (or a user of Plasma::IconWidget, likely the systray), as this crash does not occur with any other use of KIconEffect.
Comment 57 Lamarque V. Souza 2011-03-28 16:49:35 UTC
*** Bug 269609 has been marked as a duplicate of this bug. ***
Comment 58 Lamarque V. Souza 2011-03-29 19:50:32 UTC
*** Bug 268473 has been marked as a duplicate of this bug. ***
Comment 59 Lamarque V. Souza 2011-03-30 21:05:48 UTC
*** Bug 269672 has been marked as a duplicate of this bug. ***
Comment 60 Ruszkai Ákos 2011-03-30 21:17:23 UTC
I may point out, that you've said this is an old KDE bug, however I haven't seen this on my debian box (testing with mixed from experimental-snapshots), only in kubuntu 10.10. In case that helps, I can list you the package versions that might be related to the bug in both of my systems.
Comment 61 Alex Merry 2011-04-07 16:53:23 UTC
*** Bug 268858 has been marked as a duplicate of this bug. ***
Comment 62 Alex Merry 2011-04-07 16:53:59 UTC
*** Bug 268597 has been marked as a duplicate of this bug. ***
Comment 63 Alex Merry 2011-04-07 16:55:54 UTC
*** Bug 268518 has been marked as a duplicate of this bug. ***
Comment 64 Alex Merry 2011-04-07 16:57:12 UTC
*** Bug 269462 has been marked as a duplicate of this bug. ***
Comment 65 Lamarque V. Souza 2011-04-08 01:19:35 UTC
*** Bug 270352 has been marked as a duplicate of this bug. ***
Comment 66 Troy Cotter 2011-04-08 15:04:17 UTC
I have the occasional plasma crash on Kopete close bug still, using KDE 4.6.2 on Arch Linux
Comment 67 Chris Samuel 2011-04-09 00:21:55 UTC
Created attachment 58729 [details]
New crash information added by DrKonqi

plasma-desktop (0.4) on KDE Platform 4.6.2 (4.6.2) using Qt 4.7.2

- What I was doing when the application crashed:

I had just quit Kopete with File->Quit; Kopete was exiting or had just exited when Plasma crashed.

This is with the development version of the next Kubuntu release (11.04, Natty Narwhal).

-- Backtrace (Reduced):
#6  0x00007f3c2526b5df in QString (this=0x3fc0075, group=0, state=0) at /usr/include/qt4/QtCore/qstring.h:728
#7  KIconEffect::fingerprint (this=0x3fc0075, group=0, state=0) at ../../kdeui/icons/kiconeffect.cpp:169
#8  0x00007f3c25270feb in KIconLoaderPrivate::makeCacheKey (this=<value optimized out>, name=..., group=KIconLoader::Desktop, overlays=..., size=24, state=0) at ../../kdeui/icons/kiconloader.cpp:782
#9  0x00007f3c25277d03 in KIconLoader::loadIcon (this=0x3f95600, _name=<value optimized out>, group=KIconLoader::Desktop, size=24, state=0, overlays=..., path_store=0x0, canReturnNull=false) at ../../kdeui/icons/kiconloader.cpp:1226
#10 0x00007f3c2526fc99 in KIconEngine::pixmap (this=<value optimized out>, size=..., mode=<value optimized out>, state=<value optimized out>) at ../../kdeui/icons/kiconengine.cpp:93
Comment 68 Troy Cotter 2011-04-10 02:21:16 UTC
Created attachment 58753 [details]
New crash information added by DrKonqi
Comment 69 Troy Cotter 2011-04-10 02:23:37 UTC
Created attachment 58754 [details]
New crash information added by DrKonqi
Comment 70 Beat Wolf 2011-04-11 23:01:29 UTC
*** Bug 269492 has been marked as a duplicate of this bug. ***
Comment 71 Sergei 2011-04-14 15:03:06 UTC
Created attachment 58962 [details]
New crash information added by DrKonqi

plasma-desktop (0.4) on KDE Platform 4.6.2 (4.6.2) using Qt 4.7.2

Crash occurs almost every time when I quit Kopete or Amarok by pressing File>Quit

-- Backtrace (Reduced):
#7  0x0000000800883a13 in KIconEffect::fingerprint () from /usr/local/kde4/lib/libkdeui.so.7
#8  0x000000080088c362 in KIconLoader::~KIconLoader () from /usr/local/kde4/lib/libkdeui.so.7
#9  0x00000008008969d4 in KIconLoader::loadIcon () from /usr/local/kde4/lib/libkdeui.so.7
#10 0x0000000800889fd7 in KIconEffect::doublePixels () from /usr/local/kde4/lib/libkdeui.so.7
#11 0x0000000801cbc6b5 in QIcon::pixmap () from /usr/local/lib/qt4/libQtGui.so.4
Comment 72 Wonko 2011-04-16 00:25:55 UTC
Hope this is fixed soon... I have plasma crashing dozends of time per day, without any apparent reason. It crashed once when closing Amarok, but normally this (or closing kopete or other applications in my system tray) does not make plasma crash. That's different from most reports. Sometimes it crashes a few times per day, sometimes every ten minutes or so.

BTW, why is this in the kdelibs product category instead of plasma? Like 258706, which seems quite like a duplicate of this one.

I'm using KDE 4.6.2 on Gentoo Linux. Tell me if you want more crash information, drkonqui suggests not to add them. I could also compile stuff with debug information if this helps.
Comment 73 Leonardo La Malfa 2011-04-16 14:20:22 UTC
Created attachment 59043 [details]
New crash information added by DrKonqi

plasma-desktop (0.4) on KDE Platform 4.6.1 (4.6.1) using Qt 4.7.2

- What I was doing when the application crashed:

I was searching for an artist in Jamendo database, when Amarok crashed, and Plasma followed suit.

-- Backtrace (Reduced):
#7  0xb6ca7304 in QString (this=0x9b40061, group=0, state=0) at /usr/include/qt4/QtCore/qstring.h:728
#8  KIconEffect::fingerprint (this=0x9b40061, group=0, state=0) at ../../kdeui/icons/kiconeffect.cpp:169
#9  0xb6cad342 in KIconLoaderPrivate::makeCacheKey (this=0x9b4004d, name=..., group=KIconLoader::Desktop, overlays=..., size=24, state=0) at ../../kdeui/icons/kiconloader.cpp:782
#10 0xb6cb4710 in KIconLoader::loadIcon (this=0x88caf40, _name=..., group=KIconLoader::Desktop, size=24, state=0, overlays=..., path_store=0x0, canReturnNull=false) at ../../kdeui/icons/kiconloader.cpp:1226
#11 0xb6cabd69 in KIconEngine::pixmap (this=0x9922390, size=..., mode=QIcon::Normal, state=QIcon::Off) at ../../kdeui/icons/kiconengine.cpp:93
Comment 74 Wonko 2011-04-17 13:48:24 UTC
BTW: plasma does not crash when the system tray plasmoid is not being used. I miss it, but at least plasma keeps running, instead of being restarted half the time I need it. If plasma crashes for you only when closing amarok, keep it, but if it crashes all time time like it does for me, this might help.
I think removing it from the panel was not enough, I still had a reference to it in .kde4/share/config/plasma-desktop-appletsrc, which I removed by hand while not being logged in.
Comment 75 Hagai Kariti 2011-04-21 11:15:51 UTC
Created attachment 59178 [details]
New crash information added by DrKonqi

plasma-desktop (0.4) on KDE Platform 4.6.2 (4.6.2) using Qt 4.7.0

Normal work in Amarok. Amarok suddenly crashed, and Plasma followed.  This only happens sometime though. Most times Plasma doesn't crash along with Amarok.

-- Backtrace (Reduced):
#6  0x00007fc2dccaea7a in QString (this=0x23c0075, group=0, state=0) at /usr/include/qt4/QtCore/qstring.h:727
#7  KIconEffect::fingerprint (this=0x23c0075, group=0, state=0) at ../../kdeui/icons/kiconeffect.cpp:169
#8  0x00007fc2dccb24be in KIconLoaderPrivate::makeCacheKey (this=<value optimized out>, name=..., group=KIconLoader::Desktop, overlays=..., size=24, state=0) at ../../kdeui/icons/kiconloader.cpp:782
#9  0x00007fc2dccba544 in KIconLoader::loadIcon (this=0x2474a60, _name=<value optimized out>, group=KIconLoader::Desktop, size=24, state=0, overlays=..., path_store=0x0, canReturnNull=false) at ../../kdeui/icons/kiconloader.cpp:1226
#10 0x00007fc2dccb1070 in KIconEngine::pixmap (this=<value optimized out>, size=..., mode=<value optimized out>, state=<value optimized out>) at ../../kdeui/icons/kiconengine.cpp:93
Comment 76 Christoph Feck 2011-05-03 16:50:48 UTC
Wonko is right, there is no need to keep two bug reports about the same crash.

*** This bug has been marked as a duplicate of bug 258706 ***